Index: c/src/tests/psxtests/psxhdrs/signal15.c
===================================================================
--- c/src/tests/psxtests/psxhdrs/signal15.c	(revision d1d7e8078471444674c961954d1d8876e9615e5a)
+++ c/src/tests/psxtests/psxhdrs/signal15.c	(revision d1d7e8078471444674c961954d1d8876e9615e5a)
@@ -0,0 +1,26 @@
+/*
+ *  This test file is used to verify that the header files associated with
+ *  the callout are correct.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994, 1995, 1996.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#include <signal.h>
+ 
+void test( void )
+{
+  sigset_t  sigmask;
+  int       result;
+
+  (void) sigemptyset( &sigmask );
+
+  result = sigsuspend( &sigmask );
+}
Index: c/src/tests/psxtests/psxhdrs/signal16.c
===================================================================
--- c/src/tests/psxtests/psxhdrs/signal16.c	(revision d1d7e8078471444674c961954d1d8876e9615e5a)
+++ c/src/tests/psxtests/psxhdrs/signal16.c	(revision d1d7e8078471444674c961954d1d8876e9615e5a)
@@ -0,0 +1,36 @@
+/*
+ *  This test file is used to verify that the header files associated with
+ *  the callout are correct.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994, 1995, 1996.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#include <signal.h>
+
+#ifndef _POSIX_THREADS
+#define "rtems is supposed to have pthread_sigmask"
+#endif
+ 
+void test( void )
+{
+  int       how;
+  sigset_t  set;
+  sigset_t  oset;
+  int       result;
+
+  how = SIG_BLOCK;
+  how = SIG_UNBLOCK;
+  how = SIG_SETMASK;
+
+  (void) sigemptyset( &set );
+
+  result = pthread_sigmask( how, &set, &oset );
+}
Index: c/src/tests/psxtests/psxhdrs/signal17.c
===================================================================
--- c/src/tests/psxtests/psxhdrs/signal17.c	(revision d1d7e8078471444674c961954d1d8876e9615e5a)
+++ c/src/tests/psxtests/psxhdrs/signal17.c	(revision d1d7e8078471444674c961954d1d8876e9615e5a)
@@ -0,0 +1,27 @@
+/*
+ *  This test file is used to verify that the header files associated with
+ *  the callout are correct.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994, 1995, 1996.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#include <signal.h>
+ 
+void test( void )
+{
+  sigset_t  set;
+  siginfo_t info;
+  int       result;
+
+  (void) sigemptyset( &set );
+
+  result = sigwaitinfo( &set, &info );
+}
Index: c/src/tests/psxtests/psxhdrs/signal18.c
===================================================================
--- c/src/tests/psxtests/psxhdrs/signal18.c	(revision d1d7e8078471444674c961954d1d8876e9615e5a)
+++ c/src/tests/psxtests/psxhdrs/signal18.c	(revision d1d7e8078471444674c961954d1d8876e9615e5a)
@@ -0,0 +1,28 @@
+/*
+ *  This test file is used to verify that the header files associated with
+ *  the callout are correct.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994, 1995, 1996.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#include <signal.h>
+ 
+void test( void )
+{
+  sigset_t        set;
+  siginfo_t       info;
+  struct timespec timeout;
+  int             result;
+
+  (void) sigemptyset( &set );
+
+  result = sigtimedwait( &set, &info, &timeout );
+}
Index: c/src/tests/psxtests/psxhdrs/signal19.c
===================================================================
--- c/src/tests/psxtests/psxhdrs/signal19.c	(revision d1d7e8078471444674c961954d1d8876e9615e5a)
+++ c/src/tests/psxtests/psxhdrs/signal19.c	(revision d1d7e8078471444674c961954d1d8876e9615e5a)
@@ -0,0 +1,27 @@
+/*
+ *  This test file is used to verify that the header files associated with
+ *  the callout are correct.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994, 1995, 1996.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#include <signal.h>
+ 
+void test( void )
+{
+  sigset_t        set;
+  int             sig;
+  int             result;
+
+  (void) sigemptyset( &set );
+
+  result = sigwait( &set, &sig );
+}
Index: testsuites/psxtests/psxhdrs/signal15.c
===================================================================
--- testsuites/psxtests/psxhdrs/signal15.c	(revision d1d7e8078471444674c961954d1d8876e9615e5a)
+++ testsuites/psxtests/psxhdrs/signal15.c	(revision d1d7e8078471444674c961954d1d8876e9615e5a)
@@ -0,0 +1,26 @@
+/*
+ *  This test file is used to verify that the header files associated with
+ *  the callout are correct.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994, 1995, 1996.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#include <signal.h>
+ 
+void test( void )
+{
+  sigset_t  sigmask;
+  int       result;
+
+  (void) sigemptyset( &sigmask );
+
+  result = sigsuspend( &sigmask );
+}
Index: testsuites/psxtests/psxhdrs/signal16.c
===================================================================
--- testsuites/psxtests/psxhdrs/signal16.c	(revision d1d7e8078471444674c961954d1d8876e9615e5a)
+++ testsuites/psxtests/psxhdrs/signal16.c	(revision d1d7e8078471444674c961954d1d8876e9615e5a)
@@ -0,0 +1,36 @@
+/*
+ *  This test file is used to verify that the header files associated with
+ *  the callout are correct.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994, 1995, 1996.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#include <signal.h>
+
+#ifndef _POSIX_THREADS
+#define "rtems is supposed to have pthread_sigmask"
+#endif
+ 
+void test( void )
+{
+  int       how;
+  sigset_t  set;
+  sigset_t  oset;
+  int       result;
+
+  how = SIG_BLOCK;
+  how = SIG_UNBLOCK;
+  how = SIG_SETMASK;
+
+  (void) sigemptyset( &set );
+
+  result = pthread_sigmask( how, &set, &oset );
+}
Index: testsuites/psxtests/psxhdrs/signal17.c
===================================================================
--- testsuites/psxtests/psxhdrs/signal17.c	(revision d1d7e8078471444674c961954d1d8876e9615e5a)
+++ testsuites/psxtests/psxhdrs/signal17.c	(revision d1d7e8078471444674c961954d1d8876e9615e5a)
@@ -0,0 +1,27 @@
+/*
+ *  This test file is used to verify that the header files associated with
+ *  the callout are correct.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994, 1995, 1996.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#include <signal.h>
+ 
+void test( void )
+{
+  sigset_t  set;
+  siginfo_t info;
+  int       result;
+
+  (void) sigemptyset( &set );
+
+  result = sigwaitinfo( &set, &info );
+}
Index: testsuites/psxtests/psxhdrs/signal18.c
===================================================================
--- testsuites/psxtests/psxhdrs/signal18.c	(revision d1d7e8078471444674c961954d1d8876e9615e5a)
+++ testsuites/psxtests/psxhdrs/signal18.c	(revision d1d7e8078471444674c961954d1d8876e9615e5a)
@@ -0,0 +1,28 @@
+/*
+ *  This test file is used to verify that the header files associated with
+ *  the callout are correct.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994, 1995, 1996.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#include <signal.h>
+ 
+void test( void )
+{
+  sigset_t        set;
+  siginfo_t       info;
+  struct timespec timeout;
+  int             result;
+
+  (void) sigemptyset( &set );
+
+  result = sigtimedwait( &set, &info, &timeout );
+}
Index: testsuites/psxtests/psxhdrs/signal19.c
===================================================================
--- testsuites/psxtests/psxhdrs/signal19.c	(revision d1d7e8078471444674c961954d1d8876e9615e5a)
+++ testsuites/psxtests/psxhdrs/signal19.c	(revision d1d7e8078471444674c961954d1d8876e9615e5a)
@@ -0,0 +1,27 @@
+/*
+ *  This test file is used to verify that the header files associated with
+ *  the callout are correct.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994, 1995, 1996.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#include <signal.h>
+ 
+void test( void )
+{
+  sigset_t        set;
+  int             sig;
+  int             result;
+
+  (void) sigemptyset( &set );
+
+  result = sigwait( &set, &sig );
+}
